%define oname kwalletmanager

Summary:	Plasma 5 password wallet manager
Name:		plasma5-%{oname}
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5auth-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	kwallet
Conflicts:	kde5-l10n < 17.04

%description
Plasma 5 password wallet manager.

%files -f %{oname}.lang
%{_kde5_applicationsdir}/kwalletmanager5-kwalletd.desktop
%{_kde5_applicationsdir}/org.kde.kwalletmanager5.desktop
%{_kde5_bindir}/kwalletmanager5
%{_kde5_iconsdir}/hicolor/*/actions/wallet-closed.*
%{_kde5_iconsdir}/hicolor/*/actions/wallet-open.*
%{_kde5_iconsdir}/hicolor/*/apps/kwalletmanager.*
%{_kde5_iconsdir}/hicolor/*/apps/kwalletmanager2.*
%{_kde5_libexecdir}/kauth/kcm_kwallet_helper5
%{_kde5_services}/kwalletconfig5.desktop
%{_kde5_services}/kwalletmanager5_show.desktop
%{_kde5_xmlguidir}/kwalletmanager5/kwalletmanager.rc
%{_qt5_plugindir}/kcm_kwallet5.so
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmkwallet5.service
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmkwallet5.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmkwallet5.conf

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{oname} kcmkwallet kwallet5 %{oname}.lang --with-kde --with-html
%kf5locales_fix %{oname}.lang

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (6bfa0b5) New version 17.12.3


